Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(6)  |  Call(6)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    curves = None
    if plane:
        curves = Rhino.Geometry.Brep.CreateContourCurves(brep, plane)
    else:
        start = rhutil.coerce3dpoint(points_or_plane[0], True)
            v = bbox.Max - bbox.Min
            interval = v.Length / 50.0
        curves = Rhino.Geometry.Brep.CreateContourCurves(brep, start, end, interval)
    rc = []
    for crv in curves:

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
    for plane in cuttingPlanes:
        try:
            intCrvs.append(rc.Geometry.Brep.CreateContourCurves(brep, plane)[0])
        except:
            print "One intersection failed.  One of your vectors might be parallel to the _glzSrf."
            intCrvs =[]
            for plane in planes:
                try: intCrvs.append(rc.Geometry.Brep.CreateContourCurves(_glzSrf, plane)[0])
                except: print "One intersection failed."
 

src/h/o/Honeybee-HEAD/src/Honeybee_SplitBuildingMass.py   Honeybee(Download)
        floorBasePt = rc.Geometry.Point3d.Add(basePoint, rc.Geometry.Vector3d(0,0,h))
        sectionPlane = rc.Geometry.Plane(floorBasePt, rc.Geometry.Vector3d.ZAxis)
        crvList = rc.Geometry.Brep.CreateContourCurves(buildingMass, sectionPlane)
        if crvList:
            #print len(crvList)

src/h/o/Honeybee-HEAD/src/Honeybee_Masses2Zones.py   Honeybee(Download)
            floorBasePt = rc.Geometry.Point3d.Add(basePoint, rc.Geometry.Vector3d(0,0,h))
            sectionPlane = rc.Geometry.Plane(floorBasePt, rc.Geometry.Vector3d.ZAxis)
            crvList = rc.Geometry.Brep.CreateContourCurves(buildingMass, sectionPlane)
            if crvList:
                #print len(crvList)